Change a product
PATCH
/v1/admin/products/{id}
const url = 'https://api.sealcord.com/v1/admin/products/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","current_major":1,"machines_per_seat":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.sealcord.com/v1/admin/products/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "current_major": 1, "machines_per_seat": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
current_major
integer
machines_per_seat
integer
Examplegenerated
{ "name": "example", "current_major": 1, "machines_per_seat": 1}Responses
Section titled “Responses”Missing or invalid API key.
Needs scope products:write.